Skip to content

Add Directory File

beta.directories.files.add(strdirectory_id, FileAddParams**kwargs) -> FileAddResponse
POST/api/v1/beta/directories/{directory_id}/files

Create a new file within the specified directory.

The directory must exist and belong to the project passed in. The file_id must be provided and exist in the project.

ParametersExpand Collapse
directory_id: str
file_id: str

File ID for the storage location (required).

organization_id: Optional[str]
project_id: Optional[str]
display_name: Optional[str]

Display name for the file. If not provided, will use the file’s name.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

User-defined metadata key-value pairs to associate with the file.

One of the following:
str
float
bool
unique_id: Optional[str]

Unique identifier for the file in the directory. If not provided, will use the file’s external_file_id or name.

ReturnsExpand Collapse
class FileAddResponse:

API response schema for a directory file.

id: str

Unique identifier for the directory file.

directory_id: str

Directory the file belongs to.

display_name: str

Display name for the file.

minLength1
project_id: str

Project the directory file belongs to.

unique_id: str

Unique identifier for the file in the directory

minLength1
created_at: Optional[datetime]

Creation datetime

formatdate-time
data_source_id: Optional[str]

Optional data source credential associated with the file.

deleted_at: Optional[datetime]

Soft delete marker when the file is removed upstream or by user action.

formatdate-time
file_id: Optional[str]

File ID for the storage location.

metadata: Optional[Dict[str, Union[str, float, bool, null]]]

Merged metadata from all sources. Higher-priority sources override lower.

One of the following:
str
float
bool
updated_at: Optional[datetime]

Update datetime

formatdate-time

Add Directory File

import os
from llama_cloud import LlamaCloud

client = LlamaCloud(
    api_key=os.environ.get("LLAMA_CLOUD_API_KEY"),  # This is the default and can be omitted
)
response = client.beta.directories.files.add(
    directory_id="directory_id",
    file_id="file_id",
)
print(response.id)
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "directory_id": "directory_id",
  "display_name": "x",
  "project_id": "project_id",
  "unique_id": "x",
  "created_at": "2019-12-27T18:11:19.117Z",
  "data_source_id": "data_source_id",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "file_id": "file_id",
  "metadata": {
    "foo": "string"
  },
  "updated_at": "2019-12-27T18:11:19.117Z"
}